Subject: bug#45778: Bug? Haskell GHC wont' work since [email-masked]?

From: John Soo <[email-masked]>
Date: Mon, 11 Jan 2021 07:14:02 -0800

Hi zimoun,

zimoun <[email-masked]> writes:

> Choosing the C toolchain and propagating one are not really related.

Good point.

> I mean, one C toolchain could be propagated by default, so then GHC works
> out-of-the-box.  And the build transformation ’--with-c-toolchain’
> should provide the flexibility to use any other C toolchain variant you
> want.  Is it not working as expected?

As is, ghc does not work after guix install ghc. gcc-toolchain must be
installed alongside it to work.  Maybe the reason for this was to not
propagate particular versions of the gcc-toolchain and possibly conflict
with others.

Thanks!

John